import  {select, arc} from 'd3';
const svg = select("svg");
const width = +svg.attr("width"),
      height = +svg.attr("height");

const face = svg.append("g")
		.attr("transform", `translate(${width / 2}, ${height / 2})`);

const faceCut = face.append("circle")
    .attr("r", 200)
    .attr("fill", "yellow")
    .attr("stroke","black")
    .attr("stroke-width", 5)

const eyeSpacing = 80,
      eyeYOffset = -50;
const eyes = face.append("g")
		.attr("transform", `translate(0, ${eyeYOffset})`);
const leftEye = eyes.append("circle")
    .attr("r", 30)
    .attr("cx", -eyeSpacing)
    .attr("fill", "black")
    .attr("stroke","white");
const rightEye = eyes.append("circle")
    .attr("r", 30)
    .attr("cx", eyeSpacing)
    .attr("fill", "black")
    .attr("stroke","white");
const nose = eyes.append("path")
    .attr("d", arc()({
      innerRadius: 50,
      outerRadius: 60,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }));

const eyebrows = eyes.append("g")
setInterval(() => {
  eyebrows.transition().duration(750)
		.attr("transform", "translate(0, -30)")
	.transition().duration(750)
		.attr("transform", "translate(0, 0)")
}, 1500)
const leftEyebrow = eyebrows.append("path")
    .attr("d", arc()({
      innerRadius: 40,
      outerRadius: 50,
      startAngle: Math.PI * 1.5 + 0.5,
      endAngle: Math.PI * 2.5
    }))
    .attr("transform", `translate(80, -20)`)
const rightEyebrow = eyebrows.append("path")
    .attr("d", arc()({
      innerRadius: 40,
      outerRadius: 50,
      startAngle: Math.PI * 1.5,
      endAngle: Math.PI * 2.5 - 0.5
    }))
    .attr("transform", `translate(-80, -20)`)

const mouth = face.append("g")
		.attr("transform", "translate(0, 20) scale(0.9)")
mouth
  .append("path")
    .attr("d", arc()({
      innerRadius: 130,
      outerRadius: 150,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }));

mouth
  .append("path")
    .attr("d", arc()({
      innerRadius: 20,
      outerRadius: 40,
      startAngle: Math.PI * 1.5 + 0.5,
      endAngle: Math.PI * 2.5
    }))
    .attr("transform", `translate(140, 30)`);
mouth.append("path")
    .attr("d", arc()({
      innerRadius: 20,
      outerRadius: 40,
      startAngle: Math.PI * 1.5,
      endAngle: Math.PI * 2.5 - 0.5
    }))
    .attr("transform", `translate(-140, 30)`);

